Subject: [Rfc-markdown] 1.4.1: Housekeeping release

From: Carsten Bormann <[email-masked]>
Date: Mon, 22 Mar 2021 17:36:39 +0100

1.4.1 syncs back to current upstream kramdown release (from 1.17.0 to 2.3.1); I used the opportunity to bump up the minor version.

This was on hold for a while because it was not clear whether the major version transition from 1.x to 2.x would make a difference.  I now believe the changes are not relevant for RFC writing.

… with one exception: kramdown 2.3 removed support for processing instructions (as they are not in HTML 5).  Since PIs have been part of RFCXML from the start, there are likely to be many markdown documents out there that use them.  So I moved the deleted support from upstream into kramdown-rfc; there should be no difference in behavior from the 1.3.x releases.

There is one bug fix in upstream 2.3.1 that might be relevant; it is about

   ` `

(a solitary space in backquotes).  See https://github.com/cabo/kramdown-rfc2629/issues/108 for the gory details and the upstream https://github.com/gettalong/kramdown/issues/704 for the “fix” (which just makes the surprising behavior consistently surprising, but maybe the above construct is already a bit outlandish as the space is nearly invisible in HTML).

As usual, update with

	gem update

… and tell us about any issues at https://github.com/cabo/kramdown-rfc2629/issues or here.

Grüße, Carsten